org.springframework.data.relational.core.sql

## Class Functions

- java.lang.Object
- - org.springframework.data.relational.core.sql.Functions

    public class Functions
    extends Object

Factory for common `function expressions`.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder
See Also:
  `SQL`, `Expressions`, `Functions`

### Method Summary

All Methods Static Methods Concrete Methods
`static SimpleFunction` `count(Collection<? extends Expression> columns)` Creates a new `COUNT` function.
`static SimpleFunction` `count(Expression... columns)` Creates a new `COUNT` function.
`static SimpleFunction` `lower(Expression expression)` Creates a new `LOWER` function.
`static SimpleFunction` `upper(Expression expression)` Creates a new `UPPER` function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### count

    public static SimpleFunction count(Expression... columns)

Creates a new `COUNT` function.

Parameters:
  `columns` - columns to apply count, must not be null.
Returns:
  the new `count function` for `columns`.

#### count

    public static SimpleFunction count(Collection<? extends Expression> columns)

Creates a new `COUNT` function.

Parameters:
  `columns` - columns to apply count, must not be null.
Returns:
  the new `count function` for `columns`.

#### upper

    public static SimpleFunction upper(Expression expression)

Creates a new `UPPER` function.

Parameters:
  `expression` - expression to apply count, must not be null.
Returns:
  the new `upper function` for `expression`.
Since:
  2.0

#### lower

    public static SimpleFunction lower(Expression expression)

Creates a new `LOWER` function.

Parameters:
  `expression` - expression to apply lower, must not be null.
Returns:
  the new `lower function` for `expression`.
Since:
  2.0